import {AyinColor} from "ayin-color"
import techUILiteInit from "./techui.min.js"
import "./style.css"
import init, {
  techui_wasm_init,
  calc_adaptive,
  ayin_tech_border_a1,
  ayin_tech_border_a2,
  ayin_tech_border_b1,
  ayin_tech_border_b2,
  ayin_tech_border_b3,
  ayin_tech_border_b4,
  system_title_a1,
  system_title_a2,
  system_title_a3,
  system_title_a4,
  tech_button_a1,
  tech_button_a2,
  panel_title_a1,
  deco_frame_a1,
  deco_frame_a2,
  deco_frame_a3,
  deco_frame_b1,
  deco_frame_b2,
  deco_frame_b3,
  deco_frame_b4,
  vector_bg1,
  vector_bg2,
} from './core/core.min.js';

const b =async function (app) {
  await init();
  window.$tCore = {
    techui_wasm_init,
    calc_adaptive,
    ayin_tech_border_a1,
    ayin_tech_border_a2,
    ayin_tech_border_b1,
    ayin_tech_border_b2,
    ayin_tech_border_b3,
    ayin_tech_border_b4,
    system_title_a1,
    system_title_a2,
    system_title_a3,
    system_title_a4,
    tech_button_a1,
    tech_button_a2,
    panel_title_a1,
    deco_frame_a1,
    deco_frame_a2,
    deco_frame_a3,
    deco_frame_b1,
    deco_frame_b2,
    deco_frame_b3,
    deco_frame_b4,
    vector_bg1,
    vector_bg2,
  }
  // console.log("log",admincubeCoreInit);
  techui_wasm_init();
  app.use(AyinColor)
  app.use(techUILiteInit)
};
export default b
